Skip to main content
GET
/
v1
/
catalog
/
export
Export catalog
curl --request GET \
  --url https://api.hyperline.co/v1/catalog/export \
  --header 'Authorization: Bearer <token>'
{
  "format": "hyperline.product_catalog.v2",
  "sourceClientId": "cli_DKL4Xcb5VSa8CQ",
  "exportedAt": "2026-06-17T12:30:00Z",
  "resources": [
    {
      "entityType": "product",
      "id": "itm_3kXODDF42QXtnL",
      "configKey": "product:enterprise-plan",
      "data": {
        "name": "Enterprise plan",
        "type": "flat_fee"
      },
      "refs": {
        "productId": "product:enterprise-plan"
      }
    }
  ],
  "checksum": "sha256:6b1f9f4c5b8a4c7e",
  "trackedEntityTypes": [
    "product",
    "price_configuration",
    "price"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

format
enum<string>
required

Portable catalog snapshot format identifier.

Available options:
hyperline.product_catalog.v2
Example:

"hyperline.product_catalog.v2"

sourceClientId
string
required

ID of the organisation that exported the snapshot.

Example:

"cli_DKL4Xcb5VSa8CQ"

exportedAt
string
required

Date when the snapshot was exported. UTC date time string in the ISO 8601 format.

Example:

"2026-06-17T12:30:00Z"

resources
object[]
required

Catalog resources included in the snapshot.

checksum
string

Checksum of the snapshot payload, when available.

Example:

"sha256:6b1f9f4c5b8a4c7e"

trackedEntityTypes
enum<string>[]

Entity types for which the snapshot is authoritative during import.

Available options:
aggregator,
aggregator_filter,
bundle_item,
customer_segment,
price,
price_book,
price_configuration,
product,
product_accounting,
product_provider
Example:
["product", "price_configuration", "price"]
{key}
any